Bug 174041 - databases/py-swift: update to 1.7.5 and add databases/py-swiftclient
Summary: databases/py-swift: update to 1.7.5 and add databases/py-swiftclient
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-01 20:20 UTC by Mikolaj Golub
Modified: 2012-12-02 10:00 UTC (History)
0 users

See Also:


Attachments
file.diff (24.58 KB, patch)
2012-12-01 20:20 UTC, Mikolaj Golub
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Golub freebsd_committer 2012-12-01 20:20:00 UTC
databases/py-swift is outdated and broken.

Can we upgrade it to the latest 1.7.5, which is tested to be working on FreeBSD?

Note, in the recent swift versions swift client is removed from swift package and is shipped separately, so I think we have to provide the client as an additional port too.

I am attaching a patch that updates databases/py-swift to 1.7.5 and adds databases/py-swiftclient.

I set py-swiftclient maintainer to myself, but don't mind if Gea-Suan Lin (the current maintainer of py-swift) wants to maintain it himself.

Also, the patch includes the following changes to py-swift:

 - add the missing dependency on www/py-pastedeploy
 - add the man pages;
 - replace /etc/swift with ${PREFIX}/etc/${PORTNAME} in the code

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-01 20:44:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-12-01 20:44:52 UTC
Maintainer of databases/py-swift,

Please note that PR ports/174041 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174041

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-12-01 20:44:53 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 gslin 2012-12-02 06:38:01 UTC
Thanks, please commit it.

On Sat, Dec 01, 2012 at 08:44:52PM +0000, Edwin Groothuis wrote:
> Maintainer of databases/py-swift,
> 
> Please note that PR ports/174041 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174041
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

-- 
* Gea-Suan Lin  (public key: Using https://keyserver.pgp.com/ to search)
* If you cannot convince them, confuse them.           -- Harry S Truman
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2012-12-02 07:00:19 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2012-12-02 09:53:21 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2012-12-02 10:00:47 UTC
State Changed
From-To: open->closed

Committed, thank you!